#!/bin/bash
echo "see http://www.x.org/wiki/RadeonFeature & https://wiki.archlinux.org/index.php/CPU_Frequency_Scaling"
echo "Today's date is $(date)"
echo "Before:"
cpupower frequency-info  | grep "governor " 
echo "Power Method (profile or dynpm):"
cat /sys/class/drm/card0/device/power_method
echo " "
echo "Profile (from default,auto,low,mid,high):"
cat /sys/class/drm/card0/device/power_profile

# Changes to be made:
sudo sh -c "echo low > /sys/class/drm/card0/device/power_profile"
sudo cpupower -c 0 frequency-set -g ondemand
sudo cpupower -c 1 frequency-set -g ondemand
sudo cpupower -c 2 frequency-set -g ondemand
sudo cpupower -c 3 frequency-set -g ondemand
# End Changes

echo " "
echo "After:"
echo "Power Method (profile or dynpm):"
cat /sys/class/drm/card0/device/power_method
echo " "
echo "Profile (from default,auto,low,mid,high):"
cat /sys/class/drm/card0/device/power_profile
cpupower frequency-info  | grep "governor " -m 1

